Subject: Re: bug#41994: Emacs on Apple ARM devices

From: Alan Third <[email-masked]>
Date: Sat, 15 Aug 2020 01:04:27 +0200 (CEST)

On Sat, Aug 15, 2020 at 12:10:22AM +0200, Roland Kaufmann wrote:
> RK> Code generation on Apple's ARM devices ... expect a code
> RK> signature section ... This changeset implements those changes
> RK> on the Mach-O dumper
> 
> RP> Are these ... still needed now that emacs-27 has a portable
> RP> dumper?
> 
> This may be a case of incredible bad timing, as I haven't kept up on the
> development of the pdumper. Doing some light reading up on it now, it seems
> to me that it does the loading from a custom file format instead of writing
> a native executable.
> 
> Evidently, this renders any improvements on the unexec code moot, although
> it's still in the tree, I guess for platforms where the pdumper is not yet
> fully tested, so I understand the reluctance to spend any more scarce time
> on it.

Yes, unfortunately I think it's unlikely anyone will be wanting to run
unexec on macOS from now on.

It may be worth seeing if the gccemacs (native elisp compilation)
project will need something like this. I don't know enough about
either these requirements or gccemacs to say.

> AT> I suspect the patch to configure.ac might be needed even for
> AT> the pdumpder?
> 
> Yes, although one could discuss if the concept of ported/unported status
> still applies in the same way once there is the pdumper.

Well, I may as well commit it. Have you contributed to Emacs before
and if so have you signed the copyright paperwork? This is small
enough that it should be exempt, but I'd rather get the notation
correct. :)
-- 
Alan Third